#pragma once

#include "CoreMinimal.h"
#include "HoudiniMaterialIdentifier.generated.h"

USTRUCT(BlueprintType)
struct FHoudiniMaterialIdentifier
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString MaterialObjectPath;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bIsHoudiniMaterial;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bMakeMaterialInstance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString MaterialInstanceParametersSlug;

public:
	HOUDINIENGINERUNTIME_API FHoudiniMaterialIdentifier();
};

FORCEINLINE uint32 GetTypeHash(const FHoudiniMaterialIdentifier) { return 0; }
